Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery
Class XQException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.basex.query.QueryException
                  org.basex.query.xquery.XQException

All Implemented Interfaces:
  java.io.Serializable

    public final class XQException

extends QueryException

This class indicates exceptions during query evaluation.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen
See Also:
  Serialized Form

Constructor Summary
`XQException()` Empty constructor; used for interrupting a query.
`XQException(java.lang.Object[] s, java.lang.Object... e)` Constructor.
`XQException(StringList sl, java.lang.Object[] s, java.lang.Object... e)` Constructor.

Method Summary

Methods inherited from class org.basex.query.QueryException
`code, col, complete, complete, extended, getMessage, line, pos, simple`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQException

    public XQException()

  Empty constructor; used for interrupting a query.

### XQException

    public XQException(java.lang.Object[] s,
                       java.lang.Object... e)

  Constructor.

  Parameters:
    `s` - xquery error
    `e` - error arguments

### XQException

    public XQException(StringList sl,
                       java.lang.Object[] s,
                       java.lang.Object... e)

  Constructor.

  Parameters:
    `sl` - code completion list
    `s` - xquery error
    `e` - error arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD